<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE configuration
        PUBLIC "-//mybatis.org//DTD Config 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-config.dtd">
<configuration>
    <properties resource="conf.properties"> <!--ссылка на файл со свойствами(ссылка на СУБД, логин, пароль и тп.)-->
    </properties>
    <environments default="development"><!--в данном блоке настраиваются подключения к БД-->
        <environment id="development">
            <transactionManager type="JDBC"/>
            <dataSource type="POOLED">
                <property name="driver" value="${db.driver}"/>
                <property name="url" value="${db.url}"/>
                <property name="username" value="${db.login}"/>
                <property name="password" value="${db.password}"/>
            </dataSource>
        </environment>
    </environments>
    <mappers><!--в данном блоке необходимо описать маперы, которые используются в проекте-->
        <mapper class="ru.tagirov.tm.api.repository.ProjectMapper"/>
        <mapper class="ru.tagirov.tm.api.repository.TaskMapper"/>
        <mapper class="ru.tagirov.tm.api.repository.UserMapper"/>
    </mappers>
</configuration>